package com.xhly.manageapp.bean.app;

import java.io.Serializable;
import java.util.List;

public class AppModel implements Serializable {
    private static final long serialVersionUID = 1L;

    public AppModel() {
    }

    public AppModel(String appName, Integer appSize) {
        this.appName = appName;
        this.appSize = appSize;
    }

    public AppModel(String appName, String versionName, Integer appSize) {
        this.appName = appName;
        this.versionName = versionName;
        this.appSize = appSize;
    }

    public AppModel(String appName, String versionName, Integer appSize, String appIcon) {
        this.appName = appName;
        this.appIcon = appIcon;
        this.versionName = versionName;
        this.appSize = appSize;
    }

    //应用表ID
    private Integer appid;

    //应用名称
    private String appName;

    //应用状态：1启用2未启用
    private Integer appState;

    //应用类型：1推荐应用2必装应用
    private Integer appType;

    //是否强制安装：0否1是
    private Integer forced;

    //是否应用白名单：0否1是
    private Integer whited;

    //是否可信任：0否1是
    private Integer trusted;

    //是否显示图标：0否1是
    private Integer showico;

    //是否加入现有策略：0否1是
    private Integer strategy;

    //是否允许清空缓存：0否1是
    private Integer cached;

    //所属应用分组ID
    private Integer appgroupid;

    //APK文件路径
    private String apkPath;

    //应用图标
    private String appIcon;

    //应用截图：多张图片用分号分割
    private String appImg;

    private String[] appImgArr;

    private String appPackage;

    //版本名
    private String versionName;

    //版本号
    private Integer versionNum;

    //应用大小
    private Integer appSize;

    //开发者
    private String appDeveloper;

    //唯一码
    private String uniqueCode;

    //应用简介
    private String appAbbr;

    //更新介绍
    private String appRenew;

    private Boolean isInstall;

    public Integer getAppid() {
        return appid;
    }

    public void setAppid(Integer appid) {
        this.appid = appid;
    }

    public String getAppName() {
        return appName;
    }

    public void setAppName(String appName) {
        this.appName = appName;
    }

    public Integer getAppState() {
        return appState;
    }

    public void setAppState(Integer appState) {
        this.appState = appState;
    }

    public Integer getAppType() {
        return appType;
    }

    public void setAppType(Integer appType) {
        this.appType = appType;
    }

    public Integer getForced() {
        return forced;
    }

    public void setForced(Integer forced) {
        this.forced = forced;
    }

    public Integer getWhited() {
        return whited;
    }

    public void setWhited(Integer whited) {
        this.whited = whited;
    }

    public Integer getTrusted() {
        return trusted;
    }

    public void setTrusted(Integer trusted) {
        this.trusted = trusted;
    }

    public Integer getShowico() {
        return showico;
    }

    public void setShowico(Integer showico) {
        this.showico = showico;
    }

    public Integer getStrategy() {
        return strategy;
    }

    public void setStrategy(Integer strategy) {
        this.strategy = strategy;
    }

    public Integer getCached() {
        return cached;
    }

    public void setCached(Integer cached) {
        this.cached = cached;
    }

    public Integer getAppgroupid() {
        return appgroupid;
    }

    public void setAppgroupid(Integer appgroupid) {
        this.appgroupid = appgroupid;
    }

    public String getApkPath() {
        return apkPath;
    }

    public void setApkPath(String apkPath) {
        this.apkPath = apkPath;
    }

    public String getAppIcon() {
        return appIcon;
    }

    public void setAppIcon(String appIcon) {
        this.appIcon = appIcon;
    }

    public String getAppImg() {
        return appImg;
    }

    public void setAppImg(String appImg) {
        this.appImg = appImg;
    }

    public String getVersionName() {
        return versionName;
    }

    public void setVersionName(String versionName) {
        this.versionName = versionName;
    }

    public Integer getVersionNum() {
        return versionNum;
    }

    public void setVersionNum(Integer versionNum) {
        this.versionNum = versionNum;
    }

    public Integer getAppSize() {
        return appSize;
    }

    public void setAppSize(Integer appSize) {
        this.appSize = appSize;
    }

    public String getAppDeveloper() {
        return appDeveloper;
    }

    public void setAppDeveloper(String appDeveloper) {
        this.appDeveloper = appDeveloper;
    }

    public String getUniqueCode() {
        return uniqueCode;
    }

    public void setUniqueCode(String uniqueCode) {
        this.uniqueCode = uniqueCode;
    }

    public String getAppAbbr() {
        return appAbbr;
    }

    public void setAppAbbr(String appAbbr) {
        this.appAbbr = appAbbr;
    }

    public String getAppRenew() {
        return appRenew;
    }

    public void setAppRenew(String appRenew) {
        this.appRenew = appRenew;
    }

    public String getAppPackage() {
        return appPackage;
    }

    public void setAppPackage(String appPackage) {
        this.appPackage = appPackage;
    }

    public String[] getAppImgArr() {
        return appImgArr;
    }

    public void setAppImgArr(String[] appImgArr) {
        this.appImgArr = appImgArr;
    }

    public Boolean getInstall() {
        return isInstall;
    }

    public void setInstall(Boolean install) {
        isInstall = install;
    }
}
